# Torrents.csv

`Torrents.csv` is a vetted database of torrents, consisting of a single, searchable `torrents.csv` file.

An *upload*, consists of making a pull request after running the `add_torrents.sh` script, which adds torrents from a directory to the `.csv` file, after checking that they aren't already there, and that they have seeders.

To find torrents run `./search.sh "SEARCH"`

To add your own torrents, run `./add_torrents.sh MY_TORRENTS_DIR`

## Instructions

[Click here](https://gitlab.com/dessalines/torrents.csv/forks/new) to fork this repo.
```sh
git clone https://gitlab.com/[MY_USER]/torrents.csv
cd torrents.csv
./add_torrents.sh MY_TORRENTS_DIR # `MY_TORRENTS_DIR` is `~/.local/share/data/qBittorrent/BT_backup/` for qBittorrent on linux, but you can search for where your torrents are stored for your client.
git commit -am "Adding my torrents"
git push
```

Then [click here](https://gitlab.com/dessalines/torrents.csv/merge_requests/new) to do a pull/merge request to my branch.

## How the file looks
```sh
infohash;name;size_bytes;created_unix;seeders;leechers;completed;scraped_date
# torrents here...
```

`Torrents.csv` will be periodically purged of non-seeded torrents, and sorted by seeders descending.

<!-- https://github.com/danfolkes/Magnet2Torrent -->